public class Circle extends BasedFigure {
    private double radius;
    public Circle(Point base, double radius) {
        super(base);
        this.radius = radius;
    }
    public double getRadius() {	return radius; }
    public Rectangle getBounds() {
        return new Rectangle(
            getBase(),
            new Point(
                getBase().x + (int) (2 * radius + 0.5),
                getBase().y + (int) (2 * radius + 0.5)
            )
        );
    }
}
